Bug 158300 - border-radius with different width and height rendered wrong
Summary: border-radius with different width and height rendered wrong
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: CSS (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified OS X 10.11
: P2 Minor
Assignee: Simon Fraser (smfr)
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2016-06-02 03:30 PDT by Ivo Gabe de Wolff
Modified: 2016-06-09 09:57 PDT (History)
9 users (show)

See Also:


Attachments
Reproduction (493 bytes, text/html)
2016-06-02 03:30 PDT, Ivo Gabe de Wolff
no flags Details
Screenshot of WebKit (67.51 KB, image/png)
2016-06-02 03:31 PDT, Ivo Gabe de Wolff
no flags Details
Screenshot of Chrome (57.58 KB, image/png)
2016-06-02 03:32 PDT, Ivo Gabe de Wolff
no flags Details
Patch (34.57 KB, patch)
2016-06-08 18:01 PDT, Simon Fraser (smfr)
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ivo Gabe de Wolff 2016-06-02 03:30:17 PDT
Created attachment 280324 [details]
Reproduction

When specifying border-top-left-radius (or any other border-radius option), with different width and height, the arc is not fully shown. When you open the attached file you can see that a small piece of the border is missing between the left and top sections.
Comment 1 Ivo Gabe de Wolff 2016-06-02 03:31:31 PDT
Created attachment 280325 [details]
Screenshot of WebKit
Comment 2 Ivo Gabe de Wolff 2016-06-02 03:32:23 PDT
Created attachment 280327 [details]
Screenshot of Chrome
Comment 3 Radar WebKit Bug Importer 2016-06-07 07:42:26 PDT
<rdar://problem/26672922>
Comment 4 Simon Fraser (smfr) 2016-06-07 11:59:54 PDT
clipBorderSidePolygon() is clipping incorrectly.
Comment 5 Simon Fraser (smfr) 2016-06-08 18:01:19 PDT
Created attachment 280864 [details]
Patch
Comment 6 WebKit Commit Bot 2016-06-09 09:57:47 PDT
Comment on attachment 280864 [details]
Patch

Clearing flags on attachment: 280864

Committed r201868: <http://trac.webkit.org/changeset/201868>
Comment 7 WebKit Commit Bot 2016-06-09 09:57:52 PDT
All reviewed patches have been landed.  Closing bug.